## org.apache.cassandra.db
Class Column

    java.lang.Object
      org.apache.cassandra.db.Column

All Implemented Interfaces:
  IColumn

    public class Column

extends java.lang.Object
implements IColumn

Column is immutable, which prevents all kinds of confusion in a multithreaded environment. (TODO: look at making SuperColumn immutable too. This is trickier but is probably doable with something like PCollections -- http://code.google.com

Field Summary

Fields inherited from interface org.apache.cassandra.db.IColumn
`MAX_NAME_LENGTH, UtfPrefix_`

Constructor Summary
`Column(byte[] name, byte[] value, long timestamp)`
`Column(byte[] name, byte[] value, long timestamp, boolean isDeleted)`

Method Summary
`void` `addColumn(IColumn column)`
`long` `comparePriority(Column o)`
`IColumn` `diff(IColumn column)`
`int` `getLocalDeletionTime()`
`long` `getMarkedForDeleteAt()`
`int` `getObjectCount()`
`java.lang.String` `getString(AbstractType comparator)`
`Column` `getSubColumn(byte[] columnName)`
`java.util.Collection<IColumn>` `getSubColumns()`
`boolean` `isMarkedForDelete()`
`long` `mostRecentLiveChangeAt()`
`byte[]` `name()`
`int` `serializedSize()`
`static ColumnSerializer` `serializer()`
`int` `size()`
`long` `timestamp()`
`void` `updateDigest(java.security.MessageDigest digest)`
`byte[]` `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Column

    public Column(byte[] name,
                  byte[] value,
                  long timestamp)

### Column

    public Column(byte[] name,
                  byte[] value,
                  long timestamp,
                  boolean isDeleted)

Method Detail

### serializer

    public static ColumnSerializer serializer()

### name

    public byte[] name()

  Specified by:
    `name` in interface `IColumn`

### getSubColumn

    public Column getSubColumn(byte[] columnName)

  Specified by:
    `getSubColumn` in interface `IColumn`

### value

    public byte[] value()

  Specified by:
    `value` in interface `IColumn`

### getSubColumns

    public java.util.Collection<IColumn> getSubColumns()

  Specified by:
    `getSubColumns` in interface `IColumn`

### getObjectCount

    public int getObjectCount()

  Specified by:
    `getObjectCount` in interface `IColumn`

### timestamp

    public long timestamp()

  Specified by:
    `timestamp` in interface `IColumn`

### isMarkedForDelete

    public boolean isMarkedForDelete()

  Specified by:
    `isMarkedForDelete` in interface `IColumn`

### getMarkedForDeleteAt

    public long getMarkedForDeleteAt()

  Specified by:
    `getMarkedForDeleteAt` in interface `IColumn`

### mostRecentLiveChangeAt

    public long mostRecentLiveChangeAt()

  Specified by:
    `mostRecentLiveChangeAt` in interface `IColumn`

### size

    public int size()

  Specified by:
    `size` in interface `IColumn`

### serializedSize

    public int serializedSize()

  Specified by:
    `serializedSize` in interface `IColumn`

### addColumn

    public void addColumn(IColumn column)

  Specified by:
    `addColumn` in interface `IColumn`

### diff

    public IColumn diff(IColumn column)

  Specified by:
    `diff` in interface `IColumn`

### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

  Specified by:
    `updateDigest` in interface `IColumn`

### getLocalDeletionTime

    public int getLocalDeletionTime()

  Specified by:
    `getLocalDeletionTime` in interface `IColumn`

### comparePriority

    public long comparePriority(Column o)

### getString

    public java.lang.String getString(AbstractType comparator)

  Specified by:
    `getString` in interface `IColumn`

Copyright © 2010 The Apache Software Foundation